Unit fde84r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc;

procedure fde84r(X :Real; var Y :Array of Real; var DY :Array of Real;
                M :Integer);

implementation

procedure fde84r(X :Real; var Y :Array of Real; var DY :Array of Real;
                M :Integer);
begin
DY[0] := (2.0*X-5.E2)*Y[0]+(1.0-X*1.E-1)*Y[1]+
    (1.0+1.0/(1.0+X))*Sin(Y[0]);
DY[1] := (-1.E3-1.E1*X)*Y[0]+(1.0+X*1.E-1)*Y[1]+
    (2.0+1.0/(2.0+X))*Cos(Y[1]);
end;

end.
